image: ruby:2.5.7
services:
  - postgres:9.5
variables:
  POSTGRES_DB: jobvacancy_test
  POSTGRES_USER: jobvacancy
  POSTGRES_PASSWORD: jobvacancy
  DB_HOST: postgres
stages:
  - build
  - deploy_staging

job_build:
  stage: build
  script:
    - apt-get update -qq && apt-get install -y -qq postgresql postgresql-contrib libpq-dev cmake
    - ruby -v
    - which ruby
    - gem install bundler --no-document
    - bundle install --without staging production
    - RACK_ENV=test bundle exec rake

job_deploy_staging:
  stage: deploy_staging
  script:
  - gem install dpl
  - dpl --provider=heroku --app=groblesjobvacancystaging --api-key=$HEROKU_STAGING_API_KEY
  only:
  - staging